__gnu_pbds::detail::resize_policy< _Tp >(3cxx)

NAME
__gnu_pbds::detail::resize_policy< _Tp > - Resize policy for binary heap.

SYNOPSIS

  Public Types

typedef _Tp size_type

  Public Member Functions

resize_policy (const resize_policy &other)
size_type get_new_size_for_arbitrary (size_type) const
size_type get_new_size_for_grow () const
size_type get_new_size_for_shrink () const
bool grow_needed (size_type) const
void notify_arbitrary (size_type)
void notify_grow_resize ()
void notify_shrink_resize ()
bool resize_needed_for_grow (size_type) const
bool resize_needed_for_shrink (size_type) const
bool shrink_needed (size_type) const
void swap (resize_policy< _Tp > &)

  Static Public Attributes

static const _Tp min_size

Detailed Description

  template<typename _Tp>
class __gnu_pbds::detail::resize_policy< _Tp >" Resize policy for binary heap.

Author

Generated automatically by Doxygen for libstdc++ from the source code.